package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementRule;
import com.neusoft.smart.pos.trade.persistent.domain.BillSettlementRuleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillSettlementRuleMapper {
    int countByExample(BillSettlementRuleExample example);

    int deleteByExample(BillSettlementRuleExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillSettlementRule record);

    int insertSelective(BillSettlementRule record);

    List<BillSettlementRule> selectByExample(BillSettlementRuleExample example);

    BillSettlementRule selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillSettlementRule record, @Param("example") BillSettlementRuleExample example);

    int updateByExample(@Param("record") BillSettlementRule record, @Param("example") BillSettlementRuleExample example);

    int updateByPrimaryKeySelective(BillSettlementRule record);

    int updateByPrimaryKey(BillSettlementRule record);

    void batchInsert(@Param("items") List<BillSettlementRule> items);
}